Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Registry_Name_Space Class Reference

Interface to a Name Server Database which is maintained by the Win32 Registry. Allows to add, change, remove and resolve NameBindings. More...

`#include <Registry_Name_Space.h>`

Inheritance diagram for ACE_Registry_Name_Space:

[legend]
Collaboration diagram for ACE_Registry_Name_Space:

[legend]
List of all members.

## Public Methods
| ACE_Registry_Name_Space (void)
| Constructor.
| ACE_Registry_Name_Space (ACE_Name_Options *name_options)
| Contacts and opens the registry on the specified server.
| ~ACE_Registry_Name_Space (void)
| Destructor.
int | open (ACE_Name_Options *name_options)
| Contacts and opens the registry on the specified server.
int | bind (const ACE_NS_WString &name_in, const ACE_NS_WString &value_in, const char *type_in="")
| Bind a new name to a naming context (Wide character strings).
int | rebind (const ACE_NS_WString &name_in, const ACE_NS_WString &value_in, const char *type_in="")
int | unbind (const ACE_NS_WString &name_in)
int | resolve (const ACE_NS_WString &name_in, ACE_NS_WString &value_out, char *&type_out)
int | list_names (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)
int | list_values (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)
int | list_types (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)
int | list_name_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)
int | list_value_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)
int | list_type_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)
void | dump (void) const
| Dump the state of the object.
## Private Attributes
ACE_Registry::Naming_Context | context_
| current context

## Detailed Description

Interface to a Name Server Database which is maintained by the Win32 Registry. Allows to add, change, remove and resolve NameBindings.

Manages a Naming Service for a registry name space which includes bindings for all contexts. All strings are stored in wide character format. A Name Binding consists of a name (that's the key), a value string. There is no type string support in this Name Space.

## Constructor & Destructor Documentation

ACE_Registry_Name_Space::ACE_Registry_Name_Space | ( | void |  | ) |

| Constructor.

ACE_Registry_Name_Space::ACE_Registry_Name_Space | ( | ACE_Name_Options * | name_options | ) |

| Contacts and opens the registry on the specified server.

ACE_Registry_Name_Space::~ACE_Registry_Name_Space | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int ACE_Registry_Name_Space::bind | ( | const ACE_NS_WString & | name_in,
|  | const ACE_NS_WString & | value_in,
|  | const char * | type_in = ""
| ) | `[virtual]`

| Bind a new name to a naming context (Wide character strings). Implements ACE_Name_Space.

void ACE_Registry_Name_Space::dump | ( | void |  | ) | const`[virtual]`

| Dump the state of the object. Implements ACE_Name_Space.

int ACE_Registry_Name_Space::list_name_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of names matching a specified pattern (wchars). Matching means the names must begin with the pattern string. Returns the complete binding associated each pattern match. Implements ACE_Name_Space.

int ACE_Registry_Name_Space::list_names | ( | ACE_WSTRING_SET & | set_out,
|  | const ACE_NS_WString & | pattern_in
| ) | `[virtual]`

| Get a set of names matching a specified pattern (wchars). Matching means the names must begin with the pattern string. Implements ACE_Name_Space.

int ACE_Registry_Name_Space::list_type_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of types matching a specified pattern (wchars). Matching means the types must begin with the pattern string. Returns the complete binding associated each pattern match. Implements ACE_Name_Space.

int ACE_Registry_Name_Space::list_types | ( | ACE_WSTRING_SET & | set_out,
|  | const ACE_NS_WString & | pattern_in
| ) | `[virtual]`

| Get a set of types matching a specified pattern (wchars). Matching means the types must begin with the pattern string. Implements ACE_Name_Space.

int ACE_Registry_Name_Space::list_value_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[virtual]`

| Get a set of values matching a specified pattern (wchars). Matching means the values must begin with the pattern string. Returns the complete binding associated each pattern match. Implements ACE_Name_Space.

int ACE_Registry_Name_Space::list_values | ( | ACE_WSTRING_SET & | set_out,
|  | const ACE_NS_WString & | pattern_in
| ) | `[virtual]`

| Get a set of values matching a specified pattern (wchars). Matching means the values must begin with the pattern string. Implements ACE_Name_Space.

int ACE_Registry_Name_Space::open | ( | ACE_Name_Options * | name_options | ) |

| Contacts and opens the registry on the specified server.

int ACE_Registry_Name_Space::rebind | ( | const ACE_NS_WString & | name_in,
|  | const ACE_NS_WString & | value_in,
|  | const char * | type_in = ""
| ) | `[virtual]`

| Overwrite the value or type of an existing name in a ACE_Name_Space or bind a new name to the context, if it didn't exist yet. (Wide charcter strings interface). Implements ACE_Name_Space.

int ACE_Registry_Name_Space::resolve | ( | const ACE_NS_WString & | name_in,
|  | ACE_NS_WString & | value_out,
|  | char *& | type_out
| ) | `[virtual]`

| Get value and type of a given name binding (Wide chars). The caller is responsible for deleting both <value_out> and <type_out>! Implements ACE_Name_Space.

int ACE_Registry_Name_Space::unbind | ( | const ACE_NS_WString & | name_in | ) | `[virtual]`

| Delete a name from a ACE_Name_Space (Wide charcter strings Interface). Implements ACE_Name_Space.

## Member Data Documentation

ACE_Registry::Naming_Context ACE_Registry_Name_Space::context_`[private]`

| current context

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Registry_Name_Space.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Registry_Name_Space.cpp